petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatFindOffBlockDiagonalEntries

Finds all the rows of a matrix that have entries outside of the main diagonal block (defined by the matrix block size)

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFindOffBlockDiagonalEntries(Mat mat,IS *is)

Collective on Mat Many br

### Input Parameter

mat -the matrix Many br

### Output Parameter

is -contains the list of rows with off block diagonal entries Many br

Many br

### See Also

MatMultTranspose(), MatMultAdd(), MatMultTransposeAdd()

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages